Página 1 de 2 12 ÚltimoÚltimo
Mostrando resultados del 1 al 10 de 12

Tema: vlc-codecs

  1. #1
    Fecha de Ingreso
    03-septiembre-2012
    Mensajes
    65
    Poder de Credibilidad
    7

    Talking vlc-codecs

    Saludos, aquí de nuevo.
    No se puede instalar vlc-codecs, por dependencias.

    Problema: no hay nada que proporcione libx264.so.129()(64bit) y que lo necesita vlc-codecs-2.0.7-137.7.x86_64
    Solución 1: no instalar vlc-codecs-2.0.7-137.7.x86_64
    Solución 2: romper vlc-codecs-2.0.7-137.7.x86_64 ignorando algunas de sus dependencias

  2. #2
    Fecha de Ingreso
    28-diciembre-2010
    Ubicación
    Frente al teclado
    Mensajes
    828
    Poder de Credibilidad
    9
    podrias poner la salida de "zypper lr -d" ?
    VampirD

    Microsoft Windows is like air conditioning
    Stops working when you open a window.

  3. #3
    Fecha de Ingreso
    03-septiembre-2012
    Mensajes
    65
    Poder de Credibilidad
    7
    kik1n@linux-v38y:~> zypper lr -d
    # | Alias | Nombre | Habilitado | Actualizar | Prioridad | Tipo | URI | Servicio
    ---+----------------------------+------------------------------------+------------+------------+-----------+--------+---------------------------------------------------------------------------------------+---------
    1 | All Packman | All Packman | Si | Si | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Tumbleweed |
    2 | Apache Modules Tumbleweed | Apache Modules Tumbleweed | Si | Si | 99 | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    3 | Apache Tumbleweed | Apache Tumbleweed | Si | Si | 99 | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    4 | Ati 12.3 | Ati 12.3 | No | No | 99 | rpm-md | http://geeko.ioda.net/mirror/amd-fglrx/openSUSE_12.3/ |
    5 | Ati Tumbleweed | Ati Tumbleweed | Si | Si | 99 | rpm-md | http://geeko.ioda.net/mirror/amd-fgl...SE_Tumbleweed/ |
    6 | Extra Tumbleweed | Extra Tumbleweed | Si | Si | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Tumbleweed/Extra/ |
    7 | Fonts Tumbleweed | Fonts Tumbleweed | Si | Si | 99 | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    8 | KDE Extra Tumbleweed | KDE Extra Tumbleweed | Si | Si | 99 | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    9 | Libdvdscc | Libdvdscc | Si | Si | 99 | rpm-md | http://opensuse-guide.org/repo/12.3/ |
    10 | LibreOffice Tumbleweed | LibreOffice Tumbleweed | Si | Si | 99 | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    11 | Multimedia Tumbleweed | Multimedia Tumbleweed | Si | Si | 99 | rpm-md | http://packman.inode.at/suse/openSUS...ed/Multimedia/ |
    12 | Packman Tumbleweed | Packman Tumbleweed | Si | Si | 99 | rpm-md | http://packman.inode.at/suse/openSUS...eed/Essentials |
    13 | Tumbleweed | Tumbleweed | Si | Si | 99 | rpm-md | http://download.opensuse.org/reposit...weed/standard/ |
    14 | VLC Tumbleweed | VLC Tumbleweed | No | No | 99 | rpm-md | http://download.videolan.org/pub/vlc/SuSE/Tumbleweed/ |
    15 | openSUSE Current OSS | openSUSE Current OSS | Si | Si | 99 | yast2 | http://download.opensuse.org/distrib...rent/repo/oss/ |
    16 | openSUSE Current non-OSS | openSUSE Current non-OSS | Si | Si | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    17 | openSUSE Current updates | openSUSE Current updates | Si | Si | 99 | rpm-md | http://download.opensuse.org/update/openSUSE-current/ |
    18 | ftp.gwdg.de-suse | Packman Repository | No | No | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman...openSUSE_12.3/ |
    19 | repo-debug | openSUSE-12.3-Debug | No | No | 99 | NONE | http://download.opensuse.org/debug/d...12.3/repo/oss/ |
    20 | repo-debug-update | openSUSE-12.3-Update-Debug | No | No | 99 | NONE | http://download.opensuse.org/debug/update/12.3/ |
    21 | repo-debug-update-non-oss | openSUSE-12.3-Update-Debug-Non-Oss | No | No | 99 | NONE | http://download.opensuse.org/debug/update/12.3-non-oss/ |
    22 | repo-non-oss | openSUSE-12.3-Non-Oss | No | No | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    23 | repo-oss | openSUSE-12.3-Oss | No | No | 99 | yast2 | http://download.opensuse.org/distrib...12.3/repo/oss/ |
    24 | repo-source | openSUSE-12.3-Source | No | No | 99 | NONE | http://download.opensuse.org/source/...12.3/repo/oss/ |
    25 | repo-update | openSUSE-12.3-Update | No | No | 99 | rpm-md | http://download.opensuse.org/update/12.3/ |
    26 | repo-update-non-oss | openSUSE-12.3-Update-Non-Oss | No | No | 99 | rpm-md | http://download.opensuse.org/update/12.3-non-oss/ |

  4. #4
    Fecha de Ingreso
    27-septiembre-2006
    Ubicación
    Epaña (murcia)
    Mensajes
    1.665
    Poder de Credibilidad
    14
    por dar un detalle..
    puedes borrar todos los repos de packman excepto el 1º, ya que es el que se compone de todos, y hace inservibles los demás...

    puede ser que al ser Tumbleweed no tiene el paquete que si esta en el repo normal?...

    pd: uff .. de verdad te hace falta esa cantidad de repos y ademas de los repetidos?...

    edit:
    ¿por que usas Tumbleweed?, sabrás que no es un sistema para iniciados.. ademas con los repos normales es mas que suficiente para cualquier situación, cuando salga nueva versión tan fácil como formatear / e instalar manteniendo home y lo tienes todo, o actualizar.
    Tumbleweed no lo veo para gente que no sabe exactamente lo que esta haciendo.

    un saludo.
    Última edición por LUKE10; 28-jul-2013 a las 02:47
    Subir fotos: http://subefotos.com/


  5. #5
    Fecha de Ingreso
    03-septiembre-2012
    Mensajes
    65
    Poder de Credibilidad
    7
    Jajajaja.
    Mmm si, lo tenía pensado eliminar tanto repo, pero no chocan entre si.

    Jejejeje pues esa es la cuestión, no quiero andar formateando el sistema cada 9 meses.

    También con los repos de pakman 12.3 dan ese problema.
    Me esperare hasta que lo resuelvan

  6. #6
    Fecha de Ingreso
    27-septiembre-2006
    Ubicación
    Epaña (murcia)
    Mensajes
    1.665
    Poder de Credibilidad
    14
    yo tengo instalado los codec y ningun problema...

    no se que te estará pasando si dices que con packman normal te sigue pasando...

    yo creo que es por los Tumbleweed, que pueden estar versiones por delante y dan conflictos con los paquetes de codec mas desfasados..
    como te digo, yo sin problemas.

    un saludo
    Subir fotos: http://subefotos.com/


  7. #7
    Fecha de Ingreso
    03-septiembre-2012
    Mensajes
    65
    Poder de Credibilidad
    7
    Gracias, por responder.
    Uso 2 pc, una con Tumbleweed y la otra con 12.3, pero a la segunda no la e actualizado ni nada, en esta recién le coloque los packman normales e igual, manda el mismo mensaje.

    Sera de esperar.

  8. #8
    Fecha de Ingreso
    17-enero-2013
    Mensajes
    64
    Poder de Credibilidad
    7
    Pues no creo que sea cosa de Tumbleweed, porque yo tengo la 12.3 y me pasa lo mismo.
    Código:
    in vlc-codecs
    root's password:
    Obteniendo los datos del repositorio...
    Leyendo los paquetes instalados...
    Resolviendo dependencias...
    
    Problema: no hay nada que proporcione libx264.so.129()(64bit) y que lo necesita vlc-codecs-2.0.7-137.6.x86_64
     Solución 1: no instalar vlc-codecs-2.0.7-137.6.x86_64
     Solución 2: romper vlc-codecs-2.0.7-137.6.x86_64 ignorando algunas de sus dependencias
    
    Elija la solución usando '1'o cancele usando 'c' [1/2/c] (c):

    No me pasaba hasta ayer, pero es que hice una instalación desde cero del sistema (por motivos que no vienen al caso) y al instalar de nuevo mis programas favoritos me encontré con ese único problema.
    Esta es mi salida al comando antes citado.
    Código:
    zypper lr -d
    #  | Alias                        | Nombre                                 | Habilitado | Actualizar | Prioridad | Tipo   | URI                                                                                 | Servicio
    ---+------------------------------+----------------------------------------+------------+------------+-----------+--------+-------------------------------------------------------------------------------------+---------
     1 | KDE410                       | KDE410                                 | Si         | Si         |   99      | rpm-md | http://download.opensuse.org/repositories/KDE:/Release:/410/openSUSE_12.3/          |         
     2 | KDE410Extra                  | KDE410Extra                            | Si         | Si         |   99      | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE_12.3/ |         
     3 | download.opensuse.org-Stable | BuildService de openSUSE - LibreOffice | Si         | Si         |   99      | rpm-md | http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_12.3/        |         
     4 | download.opensuse.org-games  | BuildService de openSUSE - Juegos      | Si         | Si         |   99      | rpm-md | http://download.opensuse.org/repositories/games/openSUSE_12.3/                      |         
     5 | opensuse-guide.org-repo      | libdvdcss repository                   | Si         | Si         |   99      | rpm-md | http://opensuse-guide.org/repo/12.3/                                                |         
     6 | repo-debug                   | openSUSE-12.3-Debug                    | No         | No         |   99      | NONE   | http://download.opensuse.org/debug/distribution/12.3/repo/oss/                      |         
     7 | repo-debug-update            | openSUSE-12.3-Update-Debug             | No         | No         |   99      | NONE   | http://download.opensuse.org/debug/update/12.3/                                     |         
     8 | repo-debug-update-non-oss    | openSUSE-12.3-Update-Debug-Non-Oss     | No         | No         |   99      | NONE   | http://download.opensuse.org/debug/update/12.3-non-oss/                             |         
     9 | repo-google-chrome           | Google-Chrome                          | No         | No         |   99      | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                 |         
    10 | repo-mozilla                 | BuildService de openSUSE - Mozilla     | Si         | Si         |   99      | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_12.3/                    |         
    11 | repo-non-oss                 | openSUSE-12.3-Non-Oss                  | Si         | Si         |   99      | yast2  | http://download.opensuse.org/distribution/12.3/repo/non-oss/                        |         
    12 | repo-oss                     | openSUSE-12.3-Oss                      | Si         | Si         |   99      | yast2  | http://download.opensuse.org/distribution/12.3/repo/oss/                            |         
    13 | repo-packman                 | Packman Repository                     | Si         | Si         |   99      | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_12.3/                            |         
    14 | repo-source                  | openSUSE-12.3-Source                   | No         | No         |   99      | NONE   | http://download.opensuse.org/source/distribution/12.3/repo/oss/                     |         
    15 | repo-update                  | openSUSE-12.3-Update                   | Si         | Si         |   99      | rpm-md | http://download.opensuse.org/update/12.3/                                           |         
    16 | repo-update-non-oss          | openSUSE-12.3-Update-Non-Oss           | Si         | Si         |   99      | rpm-md | http://download.opensuse.org/update/12.3-non-oss/                                   |
    Hice los "dup --from" apuntando a los repos de Mozilla, los dos de KDE410, LibreOffice, Packman y Libdvd. Justo ahora estaba por empezar a googlear para buscar soluciones y me he encontrado con este hilo. También vi a alguien en G+ con el mismo problema.
    Ojalá encontremos una solución
    Saludos

  9. #9
    Fecha de Ingreso
    23-marzo-2006
    Ubicación
    Sector Horchata
    Mensajes
    1.719
    Poder de Credibilidad
    15
    hola,
    a mi me pasaba lo mismo, al final no se que hice, creo que desinstale el vlc y busque el rpm que me pedia y despues lo actualizo¿? total que ya me va....
    Cosas raras que pasan a veces.

  10. #10
    Fecha de Ingreso
    17-enero-2013
    Mensajes
    64
    Poder de Credibilidad
    7
    Para raro esto, ayer, después de lidiar con una solución sin encontrarla, pues siempre me respondía con el mismo problema de dependencias incumplidas, incluso después de pasarme por la Web de VLC para instalar la librería x264, acabé instalando vlc-codecs pese a la advertencia de Zypper. Sí, lo sé, malo. Pero es que no veía dónde encontrar libx264.so.129, y en cambio veía que yo tenía instalado libx264.so.135, así que, ya rallado con el tema, decidí ver qué pasaba y qué explotaba si lo instalaba pese a todo. Y lo que pasó es que VLC funciona de manera correcta. Me reproduce los vídeos en todos los formatos con que lo he testeado. No entiendo. De todos modos lo he desinstalado. No me gusta esa advertencia, por más que a-pa-ren-te-men-te no pase nada. Además, por el camino he "descubierto" KMPlayer, que me da la potencia y fiabilidad de MPlayer con una interfaz KDE más actualizada.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Una forma alternativa de instalar codecs multimedia
    By zchronos in forum FAQs, Manuales y Tutoriales
    Respuestas: 14
    Último mensaje: 05-mar-2011, 17:44
  2. Codecs Opensuse 11.3 (restricted formats)
    By vedder in forum Software
    Respuestas: 8
    Último mensaje: 22-ene-2011, 21:08
  3. Problema con los codecs
    By J_Bohorkez in forum Software
    Respuestas: 6
    Último mensaje: 19-feb-2009, 17:53
  4. Codecs multimedia y demas para openSUSE 11.0
    By chiquimouse in forum Software
    Respuestas: 22
    Último mensaje: 10-jul-2008, 01:30
  5. problemas con codecs en 64 bits... [SOLUCIONADO]
    By Juan Carlos in forum Software
    Respuestas: 3
    Último mensaje: 18-mar-2008, 11:06

Tags for this Thread

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •